MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030169Open CASCADE[OCCT] OCCT:Application Frameworkpublic2018-09-27 17:422018-10-21 20:16
Reporterszy 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030169: Application Framework - Document format version management improvement
DescriptionAt the moment attributes drivers can have access to the document format version via set of static methods in each package of drivers and PropagateDocumentVersion() method in Document driver. New methods SetHeaderData /GetHeaderData of Relocation table allow sufficiently simplify it. So, it is proposed to redesign it.
Steps To ReproduceN/A.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0079827)
git (administrator)
2018-10-09 17:31

Branch CR30169 has been created by szy.

SHA-1: 9e877b17ce1316fcfcd1034274511ed61a6a2f3f


Detailed log of new commits:

Author: szy
Date: Tue Oct 9 17:30:10 2018 +0300

    0030169: Document format version management improvement.
(0079829)
git (administrator)
2018-10-09 18:09

Branch CR30169_1 has been created by szy.

SHA-1: b26ebcb45dac61c5b375cb25d93b741cbb9ce66b


Detailed log of new commits:

Author: szy
Date: Tue Oct 9 18:08:23 2018 +0300

    0030169: Document format version management improvement.
    
    // Adding missed files.
(0079852)
git (administrator)
2018-10-10 15:43

Branch CR30169_2 has been created by szy.

SHA-1: c9ff0be58489936a9d6f83f98c2ec12b50137570


Detailed log of new commits:

Author: szy
Date: Wed Oct 10 15:41:58 2018 +0300

    0030169: Application Framework - Document format version management improvement.
    
    //Fixing warnings.
(0079863)
szy (developer)
2018-10-10 18:15

The reported issue is solved:
- at http://vm-jenkins-test-12.nnov.opencascade.com:8080/job/CR30169-master-szy-OCCT-Debian80-64-opt-test-compare/1/ [^]
- http://vm-jenkins-test-12.nnov.opencascade.com:8080/job/CR30169-master-szy-Products-Debian80-64-opt-test-compare/1/ [^]
- http://vm-jenkins-test-12.nnov.opencascade.com:8080//view/CR30169-master-szy/view/COMPARE/job/CR30169-master-szy-OCCT-Windows-64-VC14-opt-test-compare/ [^]
- http://vm-jenkins-test-12.nnov.opencascade.com:8080/job/CR30169-master-szy-Products-Windows-64-VC14-opt-test-compare/1/ [^]

The reported failure for CR30169-master-szy-OCCT-Windows-64-VC14-opt-test (bugs vis bug79) is not linked with the current issue and OCAF at all.
It seems visualization problem
(0079877)
mpv (developer)
2018-10-11 11:23

Please, reconsider Storage_HeaderData myStorageVersion as an integer value, not string, since it is used as integer everywhere without checking.

Please, add information how to port to this version for the custom drivers-creators in update.md file.
(0079893)
szy (developer)
2018-10-11 15:10

See below my remarks.
1)Modification of Storage_HeaderData myStorageVersion to integer value is feasible, but it has some negative consequences such as necessity to modify:
- set of StdStorage classes which supposes Ascii format (i.e. back conversion)
- Storage_BaseDriver and nesting FSD drivers plus Storage_Schema and Storage_Data
- support compatibility with old FSD files (low level persistence, i.e. it will lead to adding support of versioning to BaseDriver.
So, if you see a real benefit from this improvement I suggest to move this feature to a new separate bug.

2)Concerning guide for porting (I suppose you mentioned ..\dox\dev_guides\upgrade\upgrade.md) I agree to prepare a short guide for porting.
(0079898)
mpv (developer)
2018-10-11 16:18

Ok to make a separated issue for the change of storage version task.

StdStorage and all related classes may stay unchanged, since it has no connection to other kinds of schema and obsolete for now.
(0079899)
git (administrator)
2018-10-11 16:25

Branch CR30169_3 has been created by szy.

SHA-1: a94309e4e24c99c11637b9d5f490650cddb673c4


Detailed log of new commits:

Author: szy
Date: Thu Oct 11 16:24:20 2018 +0300

    0030169: Application Framework - Document format version management improvement.
    
    // adding porting guides.
(0079900)
git (administrator)
2018-10-11 16:33

Branch CR30169_4 has been created by szy.

SHA-1: f09750586568d952c48ad5ba93b1f79d0c7a0b0c


Detailed log of new commits:

Author: szy
Date: Tue Oct 9 17:30:10 2018 +0300

    0030169: Application Framework - Document format version management improvement.
(0079901)
szy (developer)
2018-10-11 16:39

Upgrade notes are integrated.
Review, please.
(0079903)
mpv (developer)
2018-10-11 16:42

Reviewed.
(0079911)
apn (administrator)
2018-10-12 11:45

Combination -
OCCT branch : CR30169_4 SHA - f09750586568d952c48ad5ba93b1f79d0c7a0b0c
Products branch : master SHA - fa672296ba29ad12e59ba21c0c612c412b808a5d
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
Debian80-64:
bugs caf bug28425 - FAILED
bugs fclasses bug24931 - FAILED
http://occt-tests/CR30169_4-master-APN-OCCT/Debian80-64/summary.html [^]

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17439.659999999833 / 17385.999999999854 [+0.31%]
Products
Total CPU difference: 7437.070000000066 / 7445.680000000064 [-0.12%]
Windows-64-VC14:
OCCT
Total CPU difference: 17469.05438039853 / 17457.853508598404 [+0.06%]
Products
Total CPU difference: 8375.568889199996 / 8343.292282299992 [+0.39%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0080008)
git (administrator)
2018-10-16 12:44

Branch CR30169_5 has been created by szy.

SHA-1: 79bcb77b5920ea7465f156af0a9302f221eb4c8d


Detailed log of new commits:

Author: szy
Date: Tue Oct 16 12:43:05 2018 +0300

    0030169: Application Framework - Document format version management improvement.
    
    //Fixing test cases bug28425 & bug24931 on Linux.

Author: szy
Date: Tue Oct 9 17:30:10 2018 +0300

    0030169: Application Framework - Document format version management improvement.
(0080016)
szy (developer)
2018-10-16 15:13

The last issue with with bug28425 & bug24931 is fixed (several lines were accidentally were removed).
Modified only the single file XmlLDrivers_DocumentStorageDriver.cxx.

New branch CR30169_5 was successfully retested:
- at http://vm-jenkins-test-12.nnov.opencascade.com:8080/job/CR30169-master-szy-Products-Debian80-64-opt-test-compare/1/ [^]
- at http://vm-jenkins-test-12.nnov.opencascade.com:8080/job/CR30169-master-szy-OCCT-Debian80-64-opt-test-compare/1/ [^]
- at http://vm-jenkins-test-12.nnov.opencascade.com:8080/job/CR30169-master-szy-Products-Windows-64-VC14-opt-test-compare/1/ [^]
- at http://vm-jenkins-test-12.nnov.opencascade.com:8080//view/CR30169-master-szy/view/COMPARE/job/CR30169-master-szy-OCCT-Windows-64-VC14-opt-test-compare/ [^]

The last log (on Windows-64-VC14) contains
"Known instability:
bugs vis bug79"
It is pure visualization problem - not linked with the current issue.
Revise it, please.
(0080039)
mpv (developer)
2018-10-17 09:42

Reviewed.
(0080063)
apn (administrator)
2018-10-17 16:24

Combination -
OCCT branch : CR30169_5 SHA - 79bcb77b5920ea7465f156af0a9302f221eb4c8d
Products branch : master SHA - cd3543d117f1e585e93c7a94dee07b720ee3fd36
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17581.429999999786 / 17553.839999999873 [+0.16%]
Products
Total CPU difference: 7442.650000000075 / 7416.290000000055 [+0.36%]
Windows-64-VC14:
OCCT
Total CPU difference: 17581.687102398468 / 17582.732309098545 [-0.01%]
Products
Total CPU difference: 8318.488123299987 / 8362.40240479998 [-0.53%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0080089)
apn (administrator)
2018-10-18 12:27
edited on: 2018-10-18 12:28

There is following compilation error in DEBUG mode:

Windows-64-VC10-deb:
>c:\builds\CR30169_5_master\Windows-64-VC10-deb\OCCT\src\BinMDataStd\BinMDataStd_IntegerArrayDriver.cxx(80) : error C2039: 'DocumentVersion' : is not a member of 'BinMDataStd'
> C:/builds/CR30169_5_master/Windows-64-VC10-deb/OCCT/src/BinMDataStd/BinMDataStd.hxx(31) : see declaration of 'BinMDataStd'
>c:\builds\CR30169_5_master\Windows-64-VC10-deb\OCCT\src\BinMDataStd\BinMDataStd_IntegerArrayDriver.cxx(80) : error C3861: 'DocumentVersion': identifier not found

Debian80-64-deb:
/CR30169_5_master/Debian80-64-deb/OCCT/src/BinMDataStd/BinMDataStd_IntegerArrayDriver.cxx:80:11: error: 'DocumentVersion' is not a member of 'BinMDataStd'

(0080098)
git (administrator)
2018-10-18 16:33

Branch CR30169_6 has been created by szy.

SHA-1: de26a0159e4a902a2d3729dee0cc8b39c85201ad


Detailed log of new commits:

Author: szy
Date: Thu Oct 18 15:52:01 2018 +0300

    0030169: Application Framework - Document format version management improvement.
(0080099)
szy (developer)
2018-10-18 16:45

Fixed.
(0080100)
szy (developer)
2018-10-18 16:46

Reviewed.
Not necessary to retest, just compile.

- Related Changesets
occt: master b34d86cb
Timestamp: 2018-10-09 14:30:10
Author: szy
Committer: apn
Details ] Diff ]
0030169: Application Framework - Document format version management improvement
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - src/BinDrivers/BinDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/BinDrivers/BinDrivers_DocumentRetrievalDriver.hxx Diff ] File ]
mod - src/BinLDrivers/BinLDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/BinLDrivers/BinLDrivers_DocumentRetrievalDriver.hxx Diff ] File ]
mod - src/BinLDrivers/BinLDrivers_DocumentSection.cxx Diff ] File ]
mod - src/BinLDrivers/BinLDrivers_DocumentSection.hxx Diff ] File ]
mod - src/BinLDrivers/BinLDrivers_DocumentStorageDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd.hxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_AsciiStringDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_BooleanArrayDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_BooleanListDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_ByteArrayDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_ExtStringArrayDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_ExtStringListDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_IntegerArrayDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_IntegerDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_IntegerListDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_IntPackedMapDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_NameDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_RealArrayDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_RealDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_RealListDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_ReferenceArrayDriver.cxx Diff ] File ]
mod - src/BinMDataStd/BinMDataStd_ReferenceListDriver.cxx Diff ] File ]
mod - src/BinMNaming/BinMNaming.cxx Diff ] File ]
mod - src/BinMNaming/BinMNaming.hxx Diff ] File ]
mod - src/BinMNaming/BinMNaming_NamingDriver.cxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc_LocationDriver.cxx Diff ] File ]
mod - src/CDM/CDM_Document.cxx Diff ] File ]
mod - src/CDM/CDM_Document.hxx Diff ] File ]
mod - src/DDocStd/DDocStd_ApplicationCommands.cxx Diff ] File ]
mod - src/XmlDrivers/XmlDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/XmlDrivers/XmlDrivers_DocumentRetrievalDriver.hxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers.cxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers.hxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers_DocumentRetrievalDriver.hxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers_DocumentStorageDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd.hxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ByteArrayDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_ExtStringArrayDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_IntegerArrayDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_IntPackedMapDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_RealArrayDriver.cxx Diff ] File ]
mod - src/XmlMDataStd/XmlMDataStd_TreeNodeDriver.cxx Diff ] File ]
mod - src/XmlMNaming/XmlMNaming.cxx Diff ] File ]
mod - src/XmlMNaming/XmlMNaming.hxx Diff ] File ]
mod - src/XmlMNaming/XmlMNaming_NamingDriver.cxx Diff ] File ]
mod - src/XmlMXCAFDoc/XmlMXCAFDoc_LocationDriver.cxx Diff ] File ]
mod - src/XmlObjMgt/FILES Diff ] File ]
add - src/XmlObjMgt/XmlObjMgt_RRelocationTable.cxx Diff ] File ]
mod - src/XmlObjMgt/XmlObjMgt_RRelocationTable.hxx Diff ] File ]
add - src/XmlObjMgt/XmlObjMgt_SRelocationTable.cxx Diff ] File ]
mod - src/XmlObjMgt/XmlObjMgt_SRelocationTable.hxx Diff ] File ]
mod - tests/bugs/caf/bug28691 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-09-27 17:42 szy New Issue
2018-09-27 17:42 szy Assigned To => szy
2018-09-28 11:35 szy Status new => assigned
2018-10-09 17:31 git Note Added: 0079827
2018-10-09 17:32 szy Description Updated View Revisions
2018-10-09 18:09 git Note Added: 0079829
2018-10-09 18:10 kgv Summary Document format version management improvement => Application Framework - Document format version management improvement
2018-10-10 15:43 git Note Added: 0079852
2018-10-10 18:15 szy Note Added: 0079863
2018-10-10 18:15 szy Status assigned => resolved
2018-10-10 18:15 szy Assigned To szy => mpv
2018-10-11 11:23 mpv Note Added: 0079877
2018-10-11 11:23 mpv Assigned To mpv => szy
2018-10-11 11:23 mpv Status resolved => assigned
2018-10-11 15:10 szy Note Added: 0079893
2018-10-11 15:10 szy Assigned To szy => mpv
2018-10-11 15:10 szy Status assigned => feedback
2018-10-11 16:18 mpv Note Added: 0079898
2018-10-11 16:19 mpv Assigned To mpv => szy
2018-10-11 16:19 mpv Status feedback => assigned
2018-10-11 16:25 git Note Added: 0079899
2018-10-11 16:33 git Note Added: 0079900
2018-10-11 16:39 szy Note Added: 0079901
2018-10-11 16:39 szy Assigned To szy => mpv
2018-10-11 16:39 szy Status assigned => resolved
2018-10-11 16:42 mpv Note Added: 0079903
2018-10-11 16:42 mpv Assigned To mpv => bugmaster
2018-10-11 16:42 mpv Status resolved => reviewed
2018-10-12 11:45 apn Test case number => Not needed
2018-10-12 11:45 apn Note Added: 0079911
2018-10-12 11:45 apn Assigned To bugmaster => szy
2018-10-12 11:45 apn Status reviewed => assigned
2018-10-16 12:44 git Note Added: 0080008
2018-10-16 15:13 szy Note Added: 0080016
2018-10-16 15:13 szy Assigned To szy => mpv
2018-10-16 15:13 szy Status assigned => resolved
2018-10-17 09:42 mpv Note Added: 0080039
2018-10-17 09:42 mpv Assigned To mpv => bugmaster
2018-10-17 09:42 mpv Status resolved => reviewed
2018-10-17 16:24 apn Note Added: 0080063
2018-10-17 16:24 apn Status reviewed => tested
2018-10-18 12:27 apn Note Added: 0080089
2018-10-18 12:27 apn Assigned To bugmaster => szy
2018-10-18 12:27 apn Status tested => assigned
2018-10-18 12:28 apn Note Edited: 0080089 View Revisions
2018-10-18 16:33 git Note Added: 0080098
2018-10-18 16:45 szy Note Added: 0080099
2018-10-18 16:45 szy Status assigned => resolved
2018-10-18 16:46 szy Note Added: 0080100
2018-10-18 16:46 szy Assigned To szy => bugmaster
2018-10-18 16:46 szy Status resolved => reviewed
2018-10-18 18:32 apn Status reviewed => tested
2018-10-21 20:16 apn Changeset attached => occt master b34d86cb
2018-10-21 20:16 apn Assigned To bugmaster => apn
2018-10-21 20:16 apn Status tested => verified
2018-10-21 20:16 apn Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker